package com.lanyun.wanglaotou.ui.theme

import androidx.compose.ui.graphics.Color
import com.lanyun.wanglaotou.App
import com.lanyun.wanglaotou.R

val Transparent = Color(0x00000000)

val themeColor = Color(App.CONTEXT.resources.getColor(R.color.primary))
val splashText = Color(0x25000000)
val white = Color(0xFFFFFFFF)
val white1 = Color(0xFFF7F7F7)
val white2 = Color(0xFFEDEDED)
val white3 = Color(0xFFE5E5E5)
val white4 = Color(0xFFD5D5D5)
val white5 = Color(0xFFCCCCCC)
val black = Color(0xFF000000)
val black1 = Color(0xFF1E1E1E)
val black2 = Color(0xFF111111)
val black3 = Color(0xFF191919)
val black4 = Color(0xFF252525)
val black5 = Color(0xFF2C2C2C)
val black6 = Color(0xFF07130A)
val black7 = Color(0xFF292929)
val grey1 = Color(0xFF888888)
val grey2 = Color(0xFFCCC7BF)
val grey3 = Color(0xFF767676)
val grey4 = Color(0xFFB2B2B2)
val grey5 = Color(0xFF5E5E5E)
val green1 = Color(0xFFB0EB6E)
val green2 = Color(0xFF6DB476)
val green3 = Color(0xFF67BF63)
val red = Color(0xFFFF0000)
val red1 = Color(0xFFDF5554)
val red2 = Color(0xFFDD302E)
val red3 = Color(0xFFF77B7A)
val red4 = Color(0xFFD42220)
val red5 = Color(0xFFC51614)
val red6 = Color(0xFFF74D4B)
val red7 = Color(0xFFDC514E)
val red8 = Color(0xFFCBC7BF)
val yellow1 = Color(0xFFF6CA23)
val blue = Color(0xFF0000FF)
val info = Color(0xFF018786)
val warn = Color(0xFFD87831)


val Default200 = Color(0xFF3489FF)
val Default500 = Color(0xFF6200EE)
val Default700 = Color(0xFF3700B3)
val DefaultSecondary = Color(0xFF03DAC5)
val DefaultOnPrimary = Color(0xFFFFFFFF)

val Theme1_200 = Color(0xFFff6659)
val Theme1_500 = Color(0xFFd32f2f)
val Theme1_700 = Color(0xFF9a0007)
val Theme1Secondary = Color(0xFFff6659)
val Theme1OnPrimary = Color(0xFFFFFFFF)

val Theme2_200 = Color(0xFF63a4ff)
val Theme2_500 = Color(0xFF1976d2)
val Theme2_700 = Color(0xFF004ba0)
val Theme2Secondary = Color(0xFF63a4ff)
val Theme2OnPrimary = Color(0xFFFFFFFF)

val Theme3_200 = Color(0xFFbe9c91)
val Theme3_500 = Color(0xFF8d6e63)
val Theme3_700 = Color(0xFF5f4339)
val Theme3Secondary = Color(0xFFbe9c91)
val Theme3OnPrimary = Color(0xFFFFFFFF)

val Theme4_200 = Color(0xFFffc947)
val Theme4_500 = Color(0xFFff9800)
val Theme4_700 = Color(0xFFc66900)
val Theme4Secondary = Color(0xFFffc947)
val Theme4OnPrimary = Color(0xFFFFFFFF)

val Theme5_200 = Color(0xFF60ad5e)
val Theme5_500 = Color(0xFF2e7d32)
val Theme5_700 = Color(0xFF005005)
val Theme5Secondary = Color(0xFF60ad5e)
val Theme5OnPrimary = Color(0xFFFFFFFF)

val colorSelected = Color(0xFF009966)
val colorUnselected = Color(0xFF999999)

val c_b66731 = Color(0xFFb66731)

//带透明度
val c_B3F = Color(0xB3FFFFFF)
val c_80F = Color(0x80FFFFFF)